%define module   Pod-ToDemo
%define version    1.01
%define release    %mkrel 3

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    writes a demo program from a tutorial POD
Source:     http://www.cpan.org/modules/by-module/Pod/%{module}-%{version}.tar.gz
Url:        http://search.cpan.org/dist/%{module}
BuildRequires: perl-devel
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
Pod::ToDemo allows you to write POD-only modules that serve as tutorials which
can write out demo programs if you invoke them directly.  That is, while
SDL::Tutorial is a tutorial on writing beginner SDL applications with Perl,
you can invoke it as:

  $ perl -MSDL::Tutorial=sdl_demo.pl -e 1

and it will write a bare-bones demo program called sdl_demo.pl based on the
tutorial.

%prep
%setup -q -n %{module}-%{version} 
rm -f t/0-signature.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/Pod



%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.01-3mdv2009.1
+ Revision: 351752
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-2mdv2009.0
+ Revision: 224000
- rebuild

* Mon Feb 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2008.1
+ Revision: 165074
- import perl-Pod-ToDemo


* Mon Feb 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2008.1
- first mdv release  
